Name:		mononoki-nerd-ttf-fonts
Version:	2.1.0
Release:	0%{?dist}
Summary:	A font for programming and code review, nerd-font patched mono version

License:	OFL-1.1
URL:		https://github.com/ryanoasis/nerd-fonts/
Source0:	https://github.com/ryanoasis/nerd-fonts/releases/download/v2.1.0/Mononoki.zip
Source1:	56-mononoki-nerd.conf
Source2:	56-mononoki-nerd-mono.conf

BuildArch:	noarch
BuildRequires:	unzip

%description
Mononoki is a typeface created to enhance code formatting.  It works well on
both high and low resolution displays. Every character is clearly
distinguishable from similar looking characters. With nerd-font patch applied
to add icons, powerline symbols etc.

%prep
unzip -q %{SOURCE0} -d %{_builddir}/%{name}%{version} *.ttf
rm -f %{_builddir}/%{name}%{version}/*Windows\ Compatible*

%install
%define fontsdir %{_datadir}/fonts/mononoki-nerd
install -m 755 -d %{buildroot}%{fontsdir}
install -m 644 -t %{buildroot}%{fontsdir} %{_builddir}/%{name}%{version}/*.ttf
install -m 755 -d %{buildroot}%{_datadir}/fontconfig/conf.avail
install -m 644 -t %{buildroot}%{_datadir}/fontconfig/conf.avail %{SOURCE1} %{SOURCE2}

%clean
rm -rf %{_builddir}/%{name}%{version}

%files
%{fontsdir}
%config %{_datadir}/fontconfig/conf.avail/*

%post
fc-cache -f

%changelog
* Mon Jun 01 2020 skidnik
- Initial build
